Bug 565592

Summary: NameError: global name 'shlex' is not defined
Product: [Fedora] Fedora Reporter: James Laska <jlaska>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: anaconda-maint-list, jonathan, jturner, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: anaconda_trace_hash:26962a8a75d342f4a18a156876b4b93f2d858bb5ae41d322c586d4a249d1250a
Fixed In Version: anaconda-13.27-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-24 18:08:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 538273    
Attachments:
Description Flags
Attached traceback automatically from anaconda. none

Description James Laska 2010-02-15 17:43:56 UTC
The following was filed automatically by anaconda:
anaconda 13.26 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/security.py", line 80, in write
    args = ["--update", "--nostart"] + shlex.split(self.auth)
  File "/usr/bin/anaconda", line 658, in write
    self.security.write(self.rootPath)
  File "/usr/lib/anaconda/backend.py", line 314, in writeConfiguration
    anaconda.write()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1311, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1332, in handleRenderCallback
    self.currentWindow.renderCallback()
NameError: global name 'shlex' is not defined

Comment 1 James Laska 2010-02-15 17:44:00 UTC
Created attachment 394357 [details]
Attached traceback automatically from anaconda.

Comment 2 James Laska 2010-02-15 17:45:15 UTC
Encountered while attempting to work around bug#565306 using http://jlaska.fedorapeople.org/updates-565306.img

Comment 3 James Laska 2010-02-15 17:59:57 UTC
Applied the following patch and that seems to get past the reported issue.

--- /home/jlaska/CVS/anaconda.git/security.py	2010-02-11 19:37:20.484680932 -0500
+++ security.py	2010-02-15 12:46:46.028766397 -0500
@@ -20,6 +20,7 @@
 #
 
 import iutil
+import shlex
 from flags import flags
 from pykickstart.constants import *

Updated updates.img available for testing at http://jlaska.fedorapeople.org/updates-565592.img

Comment 4 James Laska 2010-02-24 18:08:21 UTC
Fixed in anaconda-13.29